# Generated from simple_fibonacci-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name simple_fibonacci

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: Gem that calculates fibonacci numbers upto a a provided number
License: MIT
URL: http://github.com/anjshenoy/simple_fibonacci
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) = 2.6.0
# BuildRequires: rubygem(jeweler) >= 1.6.4
# BuildRequires: rubygem(jeweler) < 1.7
BuildArch: noarch

%description
Overrides Ruby code Integer class to provide a fibonacci number less than
supplied argument.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%{gem_instdir}/simple_fibonacci.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/simple_fibonacci.gemspec
%{gem_instdir}/spec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.1.2-1
- Initial package
